<table class="table mt-5">
  <thead>
  <tr>
    <th>Requirement name</th>
    <th></th>
  </tr>
  </thead>
  <tbody>

  <tr>
    <td class="align-middle w-[256px] italic">
      <div>{{RequirementNames.DEFAULT}}</div>
    </td>
    <td>
      <ng-container *meetRequirement="RequirementNames.DEFAULT; else requirementNotMet">
        <ng-template [ngTemplateOutlet]="requirementMet"></ng-template>
      </ng-container>
    </td>
  </tr>
  <tr>
    <td class="align-middle italic">
      <div>{{RequirementNames.UNAVAILABLE}}</div>
    </td>
    <td>
      <ng-container *meetRequirement="RequirementNames.UNAVAILABLE; else requirementNotMet">
        <ng-template [ngTemplateOutlet]="requirementMet"></ng-template>
      </ng-container>
    </td>
  </tr>
  <tr>
    <td class="align-middle italic">
      <div>{{RequirementNames.ERROR}}</div>
    </td>
    <td>
      <ng-container *meetRequirement="RequirementNames.ERROR; else requirementNotMet">
        <ng-template [ngTemplateOutlet]="requirementMet"></ng-template>
      </ng-container>
    </td>
  </tr>
  </tbody>
</table>

<table class="table mt-5">
  <thead>
  <tr>
    <th>Type</th>
    <th>Messages</th>
  </tr>
  </thead>
  <tbody>

  <tr>
    <td class="align-middle w-[256px] italic">
      <div class="font-bold">{{RequirementSentinelExceptionTypes.INTERNAL}}</div>
    </td>
    <td>
      <ul>
        <li class="list-disc" *ngFor="let internalException of internalExceptions">
          <div><b>[{{internalException.requirementName}}]</b> got exception: <i class="underline">{{internalException.code}}</i></div>
          <div>
            <code>{{internalException.metadata | json }}</code>
          </div>
        </li>
      </ul>
    </td>
  </tr>
  <tr>
    <td class="align-middle italic">
      <div class="font-bold">{{RequirementSentinelExceptionTypes.EXTERNAL}}</div>
    </td>
    <td>
      <ul>
        <li class="list-disc" *ngFor="let externalException of externalExceptions">
          <div><b>[{{externalException.requirementName}}]</b> got exception: <i class="underline">{{externalException.code}}</i></div>
          <div>
            <code>{{externalException.metadata | json }}</code>
          </div>
        </li>
      </ul>
    </td>
  </tr>
  </tbody>
</table>

<ng-template #requirementNotMet>
  <span class="text-danger">Not met</span>
</ng-template>
<ng-template #requirementMet>
  <span class="text-success">Met</span>
</ng-template>
